import { objectWithoutProperties as _objectWithoutProperties, extends as _extends, defineProperty as _defineProperty } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React from 'react';
import classnames from 'classnames';
import PropTypes from 'prop-types';
import Styles from './Tooltip.styles.scss.js';

var _excluded = ["placementAxis"];
var getArrowPosition = function getArrowPosition(placement) {
  return classnames('tooltip-arrow-position', _defineProperty(_defineProperty(_defineProperty(_defineProperty({}, Styles['tooltip-arrow-position-right'], placement === 'left'), Styles['tooltip-arrow-position-left'], placement === 'right'), Styles['tooltip-arrow-position-bottom'], placement === 'top'), Styles['tooltip-arrow-position-top'], placement === 'bottom'));
};
var TooltipArrow = function TooltipArrow(_ref) {
  var placementAxis = _ref.placementAxis,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("div", _extends({
    className: classnames(Styles['tooltip-arrow'], getArrowPosition(placementAxis))
  }, props));
};
TooltipArrow.propTypes = {
  placementAxis: PropTypes.oneOf(['top', 'bottom', 'left', 'right', 'center'])
};
TooltipArrow.defaultProps = {
  placementAxis: 'bottom'
};

export { TooltipArrow as default };
//# sourceMappingURL=TooltipArrow.js.map
