import React from 'react';
import Dropdown from '../Common/Dropdown.js';
import { useNetwork } from '../../state/network/Context.js';
import { STATUS_FILTERS } from '../../constants.js';

var StatusFilter = function StatusFilter() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state,
    actions = _useNetwork.actions;
  var filter = state.get('statusFilter');
  return /*#__PURE__*/React.createElement(Dropdown, {
    items: STATUS_FILTERS,
    onChange: actions.updateStatusFilter,
    selected: filter
  });
};

export { StatusFilter as default };
//# sourceMappingURL=StatusFilter.js.map
