import React from 'react';
import PropTypes from 'prop-types';
import Styles from '../ReqDetail.styles.scss.js';

var RequestHeaders = function RequestHeaders(_ref) {
  var data = _ref.data;
  return /*#__PURE__*/React.createElement("div", {
    className: Styles['section-detail']
  }, data.headers.request.map(function (_ref2, index) {
    var name = _ref2.name,
      value = _ref2.value;
    return /*#__PURE__*/React.createElement("div", {
      key: "".concat(name, "-").concat(index),
      className: Styles['info-row']
    }, /*#__PURE__*/React.createElement("span", {
      className: Styles['info-caption']
    }, "".concat(name, ":")), /*#__PURE__*/React.createElement("span", {
      className: Styles['info-value']
    }, value));
  }));
};
RequestHeaders.propTypes = {
  data: PropTypes.object
};
RequestHeaders.defaultProps = {
  data: null
};

export { RequestHeaders as default };
//# sourceMappingURL=RequestHeaders.js.map
