import React from 'react';
import PropTypes from 'prop-types';
import Styles from '../ReqDetail.styles.scss.js';

var ResponseHeaders = function ResponseHeaders(_ref) {
  var data = _ref.data;
  return /*#__PURE__*/React.createElement("div", {
    className: Styles['section-detail']
  }, data.headers.response.map(function (_ref2, index) {
    var name = _ref2.name,
      value = _ref2.value;
    return /*#__PURE__*/React.createElement("div", {
      key: "".concat(name, "-").concat(index),
      className: Styles['info-row']
    }, /*#__PURE__*/React.createElement("span", {
      className: Styles['info-caption']
    }, "".concat(name, ":")), /*#__PURE__*/React.createElement("span", {
      className: Styles['info-value']
    }, value));
  }));
};
ResponseHeaders.propTypes = {
  data: PropTypes.object
};
ResponseHeaders.defaultProps = {
  data: null
};

export { ResponseHeaders as default };
//# sourceMappingURL=ResponseHeaders.js.map
